Debian Bug report logs - #545192
yagtd: crash when ordering tasks containing one which had been replaced

version graph

Package: yagtd; Maintainer for yagtd is Max Vozeler <xam@debian.org>; Source for yagtd is src:yagtd.

Reported by: Nicolas Maître <valombre@mandar1ne.homelinux.org>

Date: Sat, 5 Sep 2009 16:09:01 UTC

Severity: normal

Tags: patch

Found in version yagtd/0.2.8-1

Fixed in version yagtd/0.3.0-1

Done: Max Vozeler <xam@debian.org>

Bug is archived. No further changes may be made.

Forwarded to klnavarro@gmail.com

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Max Vozeler <xam@debian.org>:
Bug#545192; Package yagtd. (Sat, 05 Sep 2009 16:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Maître <valombre@mandar1ne.homelinux.org>:
New Bug report received and forwarded. Copy sent to Max Vozeler <xam@debian.org>. (Sat, 05 Sep 2009 16:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas Maître <valombre@mandar1ne.homelinux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: yagtd: crash when ordering tasks containing one which had been replaced
Date: Sat, 05 Sep 2009 17:52:28 +0200
[Message part 1 (text/plain, inline)]
Package: yagtd
Version: 0.2.8-1
Severity: normal
Tags: patch

Hi,

There's a issue when I do something like that (reproducible everytime) :

GTD> add test1 @home
Task #1 appended
Task #1 added
GTD> order
@Home
  1:(2.049390) test1 @home U:1 I:3 T:1H S:2009-09-05
GTD> replace 1 test replace @home
Task #1 replaced
GTD> order
Traceback (most recent call last):
  File "/usr/bin/yagtd", line 1106, in <module>
    main(options, args[0])
  File "/usr/bin/yagtd", line 1073, in main
    gtd_cmd.cmdloop()
  File "/usr/lib/python2.5/cmd.py", line 142, in cmdloop
    stop = self.onecmd(line)
  File "/usr/lib/python2.5/cmd.py", line 219, in onecmd
    return func(arg)
  File "/usr/bin/yagtd", line 868, in do_order
    tasks = [ t for t in tasks if t['start'] <= today ]
TypeError: can't compare datetime.datetime to NoneType


So, I've made a patch which makes it work by setting 'start' entry in the replace function. See the attachment.

Thanks :)

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (2, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_BE.UTF-8, LC_CTYPE=fr_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages yagtd depends on:
ii  python                        2.5.4-2    An interactive high-level object-o
ii  python-support                1.0.3      automated rebuilding support for P

yagtd recommends no packages.

yagtd suggests no packages.

-- no debconf information
[addStartTimeAfterReplace.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#545192; Package yagtd. (Thu, 05 Nov 2009 13:42:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Max Vozeler <xam@debian.org>:
Extra info received and forwarded to list. (Thu, 05 Nov 2009 13:42:13 GMT) Full text and rfc822 format available.

Message #10 received at 545192@bugs.debian.org (full text, mbox):

From: Max Vozeler <xam@debian.org>
To: MiKael NAVARRO <klnavarro@gmail.com>
Cc: valombre@mandar1ne.homelinux.org, 545192@bugs.debian.org
Subject: [Bug#545192: yagtd: crash when ordering tasks containing one which had been replaced]
Date: Thu, 5 Nov 2009 14:07:15 +0100
[Message part 1 (text/plain, inline)]
Hello Mikael,

Nicolas sent us this yagtd bug report to the Debian BTS. This 
appears to affect latest yagtd. Could you have a look? Nicolas
has also included a proposed patch.

	Max
[Message part 2 (message/rfc822, inline)]
From: Nicolas Maître <valombre@mandar1ne.homelinux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Bug#545192: yagtd: crash when ordering tasks containing one which had been replaced
Date: Sat, 05 Sep 2009 17:52:28 +0200
[Message part 3 (text/plain, inline)]
Package: yagtd
Version: 0.2.8-1
Severity: normal
Tags: patch

Hi,

There's a issue when I do something like that (reproducible everytime) :

GTD> add test1 @home
Task #1 appended
Task #1 added
GTD> order
@Home
  1:(2.049390) test1 @home U:1 I:3 T:1H S:2009-09-05
GTD> replace 1 test replace @home
Task #1 replaced
GTD> order
Traceback (most recent call last):
  File "/usr/bin/yagtd", line 1106, in <module>
    main(options, args[0])
  File "/usr/bin/yagtd", line 1073, in main
    gtd_cmd.cmdloop()
  File "/usr/lib/python2.5/cmd.py", line 142, in cmdloop
    stop = self.onecmd(line)
  File "/usr/lib/python2.5/cmd.py", line 219, in onecmd
    return func(arg)
  File "/usr/bin/yagtd", line 868, in do_order
    tasks = [ t for t in tasks if t['start'] <= today ]
TypeError: can't compare datetime.datetime to NoneType


So, I've made a patch which makes it work by setting 'start' entry in the replace function. See the attachment.

Thanks :)

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (2, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_BE.UTF-8, LC_CTYPE=fr_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages yagtd depends on:
ii  python                        2.5.4-2    An interactive high-level object-o
ii  python-support                1.0.3      automated rebuilding support for P

yagtd recommends no packages.

yagtd suggests no packages.

-- no debconf information
[addStartTimeAfterReplace.patch (text/plain, attachment)]

Set Bug forwarded-to-address to 'klnavarro@gmail.com'. Request was from Max Vozeler <xam@debian.org> to control@bugs.debian.org. (Thu, 05 Nov 2009 13:57:02 GMT) Full text and rfc822 format available.

Reply sent to Max Vozeler <xam@debian.org>:
You have taken responsibility. (Sat, 12 Dec 2009 15:52:38 GMT) Full text and rfc822 format available.

Notification sent to Nicolas Maître <valombre@mandar1ne.homelinux.org>:
Bug acknowledged by developer. (Sat, 12 Dec 2009 15:52:38 GMT) Full text and rfc822 format available.

Message #17 received at 545192-close@bugs.debian.org (full text, mbox):

From: Max Vozeler <xam@debian.org>
To: 545192-close@bugs.debian.org
Subject: Bug#545192: fixed in yagtd 0.3.0-1
Date: Sat, 12 Dec 2009 15:45:24 +0000
Source: yagtd
Source-Version: 0.3.0-1

We believe that the bug you reported is fixed in the latest version of
yagtd, which is due to be installed in the Debian FTP archive:

yagtd_0.3.0-1.diff.gz
  to main/y/yagtd/yagtd_0.3.0-1.diff.gz
yagtd_0.3.0-1.dsc
  to main/y/yagtd/yagtd_0.3.0-1.dsc
yagtd_0.3.0-1_all.deb
  to main/y/yagtd/yagtd_0.3.0-1_all.deb
yagtd_0.3.0.orig.tar.gz
  to main/y/yagtd/yagtd_0.3.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545192@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Max Vozeler <xam@debian.org> (supplier of updated yagtd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 Dec 2009 14:59:07 +0100
Source: yagtd
Binary: yagtd
Architecture: source all
Version: 0.3.0-1
Distribution: unstable
Urgency: low
Maintainer: Max Vozeler <xam@debian.org>
Changed-By: Max Vozeler <xam@debian.org>
Description: 
 yagtd      - utility to help organize your to-do lists
Closes: 545192
Changes: 
 yagtd (0.3.0-1) unstable; urgency=low
 .
   * New upstream release.
     - Fixes crash when ordering tasks. (closes: #545192)
   * Manpage was merged upstream, remove
Checksums-Sha1: 
 d2c6f9c074ee3c7d3a86142e3605b0e8d8502908 1123 yagtd_0.3.0-1.dsc
 3bcd26d069ab26f98468b2ac6b25ce64e14fb703 1395581 yagtd_0.3.0.orig.tar.gz
 c83df806bdaf12ab7262efa9daab86c1f113ffbe 1471 yagtd_0.3.0-1.diff.gz
 b1e834269dfa57088b43cdbe5679be7c7e08ce78 69356 yagtd_0.3.0-1_all.deb
Checksums-Sha256: 
 49397b54cee31a8010958aef6a0efc560481fcb3bd1ec3a8a71f92500f696c3f 1123 yagtd_0.3.0-1.dsc
 a4c3a518c069e2d4846ff91c9ad6d51fe22f05ab6de97bc62a036ea5b8134aeb 1395581 yagtd_0.3.0.orig.tar.gz
 386b506be855e5282c7cb7326666df23ceb3cce44eebcc7151c6b35112762083 1471 yagtd_0.3.0-1.diff.gz
 885add1bfa6babdc15a498791faac532af256d6d5661e6dd13a2d1311ecdab9a 69356 yagtd_0.3.0-1_all.deb
Files: 
 07c2b19d05a304249bb960b7cb21825d 1123 utils optional yagtd_0.3.0-1.dsc
 e89e5299fe3f80818b09228997e4a2ed 1395581 utils optional yagtd_0.3.0.orig.tar.gz
 774565a4418097a4b60cc461365225fe 1471 utils optional yagtd_0.3.0-1.diff.gz
 f89ab9668ee529fec8f5340ba8b769a7 69356 utils optional yagtd_0.3.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iJwEAQECAAYFAksjopoACgkQqgnI+VyroZi+SgQArzCCXOLcpPPEmwTV1XH+i+g1
rU9vSfSO9kTsUYnBqUNU7lTAF0d2rZ9tXUlc98IiRpR9u+4kADm7Bbn9zwBHlMEe
GOOwSf/p/ZZo8a49t8EJgbbg8zwkH9PeQfKOapl7ZEv31TPY8b2a1gR7uVOkeFrJ
6eco7MtyxXMUpDKae9M=
=FwkA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jan 2010 07:39:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:54:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.